#!/bin/bash

scrptname=sxt_gti_corr_evt_merger_v07.py
cdir="./"
pymergescrpt=$HOME/auxpyscrpt
scrptpath=$pymergescrpt/$scrptname

mkdir -p $HOME/auxpyscrpt
cp $cdir/$scrptname $pymergescrpt

echo "Making auxillary directory $scrptpath in home to store python scripts"

if [ `echo $SHELL | sed -e 's/\// /g' | awk '{print $2}'` == 'bash' ]
then 
    echo "Working Shell in bash"
    echo "#For merging the sxt events files for different orbits" >>$HOME/.bashrc
    echo 'alias sxtevtmerger="python '$scrptpath'"' >>$HOME/.bashrc
    
elif [ `echo $SHELL | sed -e 's/\// /g' | awk '{print $2}'` == 'csh' ]
then
    echo "Working Shell in cshell"
    echo "#For merging the sxt events files for different orbits">>$HOME/.cshrc
    echo 'alias sxtevtmerger "python '$scrptpath'"' >>$HOME/.cshrc
    
else
    echo "Could't Determine the shell"
fi

source ~/.bashrc


